TypeSizes (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class TypeSizes

- java.lang.Object
- - org.apache.cassandra.db.TypeSizes

- Direct Known Subclasses:
    TypeSizes.NativeDBTypeSizes, TypeSizes.VIntEncodedTypeSizes

      public abstract class TypeSizes
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeSizes.NativeDBTypeSizes`
    `static class` | `TypeSizes.VIntEncodedTypeSizes`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeSizes` | `NATIVE`
    `static TypeSizes` | `VINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSizes()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `encodedUTF8Length(java.lang.String st)`
    `abstract int` | `sizeof(boolean value)`
    `abstract int` | `sizeof(int value)`
    `abstract int` | `sizeof(long value)`
    `abstract int` | `sizeof(short value)`
    `int` | `sizeof(java.lang.String value)` assumes UTF8
    `abstract int` | `sizeof(java.util.UUID value)`
    `int` | `sizeofWithLength(java.nio.ByteBuffer value)`
    `int` | `sizeofWithShortLength(java.nio.ByteBuffer value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NATIVE

          public static final TypeSizes NATIVE

    - #### VINT

          public static final TypeSizes VINT

  - ### Constructor Detail

    - #### TypeSizes

          public TypeSizes()

  - ### Method Detail

    - #### sizeof

          public abstract int sizeof(boolean value)

    - #### sizeof

          public abstract int sizeof(short value)

    - #### sizeof

          public abstract int sizeof(int value)

    - #### sizeof

          public abstract int sizeof(long value)

    - #### sizeof

          public abstract int sizeof(java.util.UUID value)

    - #### sizeof

          public int sizeof(java.lang.String value)

      assumes UTF8

    - #### encodedUTF8Length

          public static int encodedUTF8Length(java.lang.String st)

    - #### sizeofWithShortLength

          public int sizeofWithShortLength(java.nio.ByteBuffer value)

    - #### sizeofWithLength

          public int sizeofWithLength(java.nio.ByteBuffer value)

Copyright © 2018 The Apache Software Foundation